Update Postfix

Questions and answers about how to do stuff
Post Reply
Bauer3139
Posts: 3
Joined: 11 Oct 2018 15:23

Update Postfix

Post by Bauer3139 » 12 Oct 2018 21:02

Was wondering if anyone had ever attempted to update the version of Postfix included in EFA. I'd love to try updating to version 3.4 of Postfix. I realize that version is still experimental release, but it sounds like it's largely stable plus has a feature I could really benefit from. I currently get rate limited from Google and the "smtp_tls_connection_reuse" option looks like would fix that. I know I'd have to build the upgrade from source which I don't have a lot of experience with. Ideally, I just want an in-place upgrade to gain the new features, without changing anything else. If possible.

User avatar
pdwalker
Posts: 1135
Joined: 18 Mar 2015 09:16

Re: Update Postfix

Post by pdwalker » 13 Oct 2018 04:16

Most people here just want an appliance that "just works".

When you start messing with the system and installing your own custom software, then you run the risk of creating conflicts that make it very difficult to upgrade the system.

If you're comfortable with these kinds of things, then go for it.

I'm comfortable doing that, but I won't simply because I don't want to spend time resolving broken dependencies during upgrades.

Good luck!

User avatar
shawniverson
Posts: 2611
Joined: 13 Jan 2014 23:30
Location: Rushville, Indiana, USA
Contact:

Re: Update Postfix

Post by shawniverson » 13 Oct 2018 17:57

Here's some files to get you started, should be able to get to 3.4 with some effort.

https://github.com/E-F-A/v4/blob/master ... 3.3.0.spec
https://github.com/E-F-A/v4/tree/master ... ld/SOURCES
Version 3.0.2.6 released! Update now to keep your eFa secure!

Alleyviper
Posts: 2
Joined: 16 Oct 2018 05:55

Re: Update Postfix

Post by Alleyviper » 11 Dec 2018 23:34

Don't jump rush into up to date versions on any piece of EFA components. Always prefer a stable release.

Post Reply